ETHTOOL(8)

NAME
ethtool - Display or change ethernet card settings

SYNOPSIS
ethtool ethX

ethtool -h

ethtool -a ethX

ethtool -A ethX

ethtool -c ethX

ethtool -C ethX [rx-usecs N] [rx-frames N] [rx-usecs-irq N] [rx-frames-irq N] [tx-usecs N] [tx-frames N] [tx-usecs-irq N] [tx-frames-irq N] [stats-block-usecs N] [pkt-rate-low N] [rx-usecs-low N] [rx-frames-low N] [tx-usecs-low N] [tx-frames-low N] [pkt-rate-high N] [rx-usecs-high N] [rx-frames-high N] [tx-usecs-high N] [tx-frames-high N] [sample-interval N]

ethtool -g ethX

ethtool -G ethX [rx N] [rx-mini N] [rx-jumbo N] [tx N]

ethtool -i ethX

ethtool -d ethX

ethtool -e ethX [offset N] [length N]

ethtool -E ethX [magic N] [offset N] [value N]

ethtool -k ethX

ethtool -K ethX

ethtool -p ethX [N]

ethtool -r ethX

ethtool -S ethX

ethtool -t ethX

ethtool -s ethX [phyad N] [wol p|u|m|b|a|g|s|d...] [sopass xx:yy:zz:aa:bb:cc] [msglvl N]

DESCRIPTION
ethtool is used for querying settings of an ethernet device and changing them.

ethX is the name of the ethernet device to work on.

OPTIONS
ethtool with a single argument specifying the device name prints current setting of the specified device.

-h  shows a short help message.

-a  queries the specified ethernet device for pause parameter information.

-A  change the pause parameters of the specified ethernet device.

Specify if pause autonegotiation is enabled.

Specify if RX pause is enabled.

Specify if TX pause is enabled.

-c  queries the specified ethernet device for coalescing information.

-C  change the coalescing settings of the specified ethernet device.

-g  queries the specified ethernet device for rx/tx ring parameter information.

-G  change the rx/tx ring parameters of the specified ethernet device.

rx N
    Change number of ring entries for the Rx ring.

rx-mini N
    Change number of ring entries for the Rx Mini ring.

rx-jumbo N
    Change number of ring entries for the Rx Jumbo ring.

tx N
    Change number of ring entries for the Tx ring.

-i  queries the specified ethernet device for associated driver information.

-d  retrieves and prints a register dump for the specified ethernet device. When raw is enabled, then it dumps the raw register data to stdout.

-e  retrieves and prints an EEPROM dump for the specified ethernet device. When raw is enabled, then it dumps the raw EEPROM data to stdout. The length and offset parameters allow dumping certain portions of the EEPROM. Default is to dump the entire EEPROM.

-E  Changes EEPROM byte for the specified ethernet device. offset and value specify which byte and it's new value. Because of the persistent nature of writing to the EEPROM, a device-specific magic key must be specified to prevent the accidental writing to the EEPROM.

-k  queries the specified ethernet device for offload information.

-K  change the offload parameters of the specified ethernet device.

Specify if RX checksumming is enabled.

Specify if TX checksumming is enabled.

Specify if scatter-gather is enabled.

Specify if tcp segmentation offload is enabled.

-p  initiates adapter-specific action intended to enable an operator to easily identify the adapter by sight. typically this involves blinking one or more LEDs on the specific ethernet port.

N   Length of time to perform phys-id, in seconds.

-r  restarts auto-negotiation on the specified ethernet device, if auto-negotiation is enabled.

-S  queries the specified ethernet device for NIC- and driver-specific statistics.

-t  executes adapter selftest on the specified ethernet device. Possible test modes are:

defines test type:
    offline (default) means to perform full set of tests possibly causing normal operation interruption during the tests, online means to perform limited set of tests do not interrupting normal adapter operation.

-s  option allows changing some or all settings of the specified ethernet device. All following options only apply if -s was specified.

Set speed in Mb/s.
    ethtool with single argument will show you the supported device speeds.

Set full or half duplex mode.

Select device port.

Specify if autonegotiation is enabled. In the usual case it is, but might
    cause some problems with some network devices, so you can turn it off.

phyad N
    PHY address.

Select transceiver type. Currently only internal and external can be
    specified, in the future further types might be added.

wol p|u|m|b|a|g|s|d...
    Set Wake-on-LAN options. Not all devices support this. The argument to this option is a string of characters specifying which options to enable.
    p   Wake on phy activity
    u   Wake on unicast messages
    m   Wake on multicast messages
    b   Wake on broadcast messages
    a   Wake on ARP
    g   Wake on MagicPacket(tm)
    s   Enable SecureOn(tm) password for MagicPacket(tm)
    d   Disable (wake on nothing). This option clears all previous options.

sopass xx:yy:zz:aa:bb:cc
    Set the SecureOn(tm) password. The argument to this option must be 6 bytes in ethernet MAC hex format (xx:yy:zz:aa:bb:cc).

msglvl N
    Set the driver message level. Meanings differ per driver.

BUGS
Not supported (in part or whole) on all ethernet drivers.

AUTHOR
ethtool was written by David Miller.

Modifications by Jeff Garzik, Tim Hockin, Jakub Jelinek, Andre Majorel, Eli Kupermann, Scott Feldman.

AVAILABILITY
ethtool is available over the Web on the SourceForge site at http://sourceforge.net/projects/gkernel/